package com.alibaba.druid.sql.dialect.dm.ast.stmt;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.ast.statement.SQLAlterTableItem;
import com.alibaba.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.alibaba.druid.sql.dialect.dm.visitor.DmASTVisitor;

public class DmAlterTableRenamePartition extends DmSQLObjectImpl implements SQLAlterTableItem {
   private SQLName name;
   private SQLName to;
   private DmAlterTableModifyPartition.Type type;

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public SQLName getTo() {
      return this.to;
   }

   public void setTo(SQLName to) {
      this.to = to;
   }

   public DmAlterTableModifyPartition.Type getType() {
      return this.type;
   }

   public void setType(DmAlterTableModifyPartition.Type type) {
      this.type = type;
   }
}
